## org.red5.server.api.stream
Interface IClientBroadcastStream

All Superinterfaces:
  IBroadcastStream, IClientStream, IStream

All Known Implementing Classes:
  ClientBroadcastStream

    public interface IClientBroadcastStream

extends IClientStream, IBroadcastStream

A broadcast stream that comes from client.

Author:
  The Red5 Project (red5@osflash.org), Steven Gong (steven.gong@gmail.com)

Field Summary

Fields inherited from interface org.red5.server.api.stream.IClientStream
`MODE_APPEND, MODE_LIVE, MODE_PUBLISH, MODE_READ, MODE_RECORD`

Method Summary
`IClientBroadcastStreamStatistics` `getStatistics()` Return statistics about the stream.
`void` `startPublishing()` Notify client that stream is ready for publishing.

Methods inherited from interface org.red5.server.api.stream.IClientStream
`getClientBufferDuration, getConnection, getStreamId, setClientBufferDuration`

Methods inherited from interface org.red5.server.api.stream.IBroadcastStream
`addStreamListener, getMetaData, getProvider, getPublishedName, getSaveFilename, getStreamListeners, removeStreamListener, saveAs, setPublishedName`

Methods inherited from interface org.red5.server.api.stream.IStream
`close, getCodecInfo, getCreationTime, getName, getScope, start, stop`

Method Detail

### startPublishing

    void startPublishing()

  Notify client that stream is ready for publishing.

### getStatistics

    IClientBroadcastStreamStatistics getStatistics()

  Return statistics about the stream.

  Returns:
    statistics

Copyright © 2006-2010 The Red5 Project